import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';
import { e as errorFilled } from './error-filled.js';
import { d as defineCustomElement$2 } from './telia-icon2.js';
import { d as defineCustomElement$1 } from './telia-vst2.js';

const teliaFieldErrorCss = ":host{display:block}.telia-field-error{font-family:\"TeliaSans\", Helvetica, Arial, \"Lucida Grande\", sans-serif;font-weight:normal;font-size:calc(1.6rem * var(--voca-rem-multiplier));line-height:1.5;color:#e4175c;display:flex;flex-direction:row}.telia-field-error__icon{flex:none;line-height:1.5;margin:calc(0.4rem * var(--voca-rem-multiplier)) calc(0.4rem * var(--voca-rem-multiplier)) 0 0;vertical-align:middle}";

const TeliaFieldError = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
    /** Test id set for web component host */
    this.dataTestid = null;
    /** Required change type in fields for screen reader  */
    this.relevant = 'additions text';
    /** Tracking id is used to identify and count Component usage */
    this.dataTrackingId = 'telia-field-error';
  }
  render() {
    return (h("div", { class: "telia-field-error", "aria-live": "assertive", "aria-relevant": this.relevant }, h("telia-icon", { class: "telia-field-error__icon", size: "sm", svg: errorFilled.svg }), h("slot", null), h("telia-vst", { dataTrackingId: this.dataTrackingId })));
  }
  static get style() { return teliaFieldErrorCss; }
}, [1, "telia-field-error", {
    "dataTestid": [1, "data-testid"],
    "relevant": [1]
  }]);
function defineCustomElement() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["telia-field-error", "telia-icon", "telia-vst"];
  components.forEach(tagName => { switch (tagName) {
    case "telia-field-error":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, TeliaFieldError);
      }
      break;
    case "telia-icon":
      if (!customElements.get(tagName)) {
        defineCustomElement$2();
      }
      break;
    case "telia-vst":
      if (!customElements.get(tagName)) {
        defineCustomElement$1();
      }
      break;
  } });
}
defineCustomElement();

export { TeliaFieldError as T, defineCustomElement as d };
